Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.addressbook.protocol.v1
Class SearchOrganizationsResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
                  be.fgov.ehealth.addressbook.protocol.v1.SearchOrganizationsResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class SearchOrganizationsResponse

extends PaginationStatusResponseType
implements Serializable

Return all healthcare organizations that macth to a given set of criteria

Java class for SearchOrganizationsResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchOrganizationsResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationStatusResponseType">
           <sequence>
             <element name="HealthCareOrganization" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}HealthCareOrganizationTypeV2">
                   </extension>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SearchOrganizationsResponse()`

Method Summary
`List<HealthCareOrganization>` | `getHealthCareOrganizations()` Gets the value of the healthCareOrganizations property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
`getMaxElements, getOffset, setMaxElements, setOffset`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchOrganizationsResponse

    public SearchOrganizationsResponse()

Method Detail

### getHealthCareOrganizations

    public List<HealthCareOrganization> getHealthCareOrganizations()

  Gets the value of the healthCareOrganizations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the healthCareOrganizations property.

  For example, to add a new item, do as follows:

          getHealthCareOrganizations().add(newItem);

  Objects of the following type(s) are allowed in the list `HealthCareOrganization`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.